#include "SplashScreen.hpp"

void SplashScreen::init(){
	PA_SetBrightness(1,-31);
	PA_SetBrightness(0,-31);	
	PA_LoadBackground(1,0,&splash1);
	PA_LoadBackground(0,0,&splash2);
}

void SplashScreen::unload(){
	PA_ResetBgSys();
}

void SplashScreen::display(){
	s32 time = 180;	
	init();
	brightnessUp();	
	while (time && !(Pad.Newpress.A || Stylus.Newpress)){
		time--;
		PA_WaitForVBL();
	}
	brightnessDown();
	unload();	
}

void SplashScreen::brightnessUp(){
	for (s32 i = -31 ; i<=0 ; i++){
		PA_SetBrightness(1,i);
		PA_SetBrightness(0,i);
		PA_WaitForVBL();
	}
}

void SplashScreen::brightnessDown(){
	for(s32 i = 0 ; i >= -31 ; i--){
		PA_SetBrightness(1,i);
		PA_SetBrightness(0,i);
		PA_WaitForVBL();
	}
}

